# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::TriangleStripGenerator Class Reference

The TriangleStripGenerator class is used to substitute lists of triangles or quads with triangle strips. More...

`#include <TriangleStripGenerator.hpp>`

List of all members.

## Public Member Functions

virtual const char * | className ()

## Static Public Member Functions

static void | stripfy (Geometry *geom, int cache_size=22, bool merge_strips=true, bool remove_doubles=true, bool substitute_quads=true)

## Detailed Description

The TriangleStripGenerator class is used to substitute lists of triangles or quads with triangle strips.

## Member Function Documentation

virtual const char* vl::TriangleStripGenerator::className | ( |  | ) | `[inline, virtual]`

void TriangleStripGenerator::stripfy | ( | Geometry * | geom,
|  | int | cache_size = `22`,
|  | bool | merge_strips = `true`,
|  | bool | remove_doubles = `true`,
|  | bool | substitute_quads = `true` |
| ) |  |  | `[static]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/TriangleStripGenerator.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/TriangleStripGenerator.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:44 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.